
<a href="http://gijgo.com/tree">jQuery Tree</a> by Gijgo.com is a plug-in for the jQuery Javascript library. It is a very fast and extandable tool, and will add advanced interaction controls to any tree structure. This plugin allows you to create tree structure using bootstrap or material design styles. Free open source tool distributed under MIT License.

<h2>Examples</h2>


1. [Bootstrap Treeview](http://gijgo.com/tree/demos/bootstrap-treeview)

2. [Material Design Treeview](http://gijgo.com/tree/demos/material-design-treeview)

3. [Bootstrap Treeview Drag and Drop](http://gijgo.com/tree/demos/bootstrap-treeview-drag-and-drop)

4. [Checkbox Tree] (http://gijgo.com/tree/demos/bootstrap-treeview-checkbox)
5. [Bootstrap 4 Treeview] (http://gijgo.com/tree/demos/bootstrap-4-treeview)


<h2>Getting Started</h2>

```html
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Example</title>
  <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">
  <link href="/css/core.css" rel="stylesheet" type="text/css">
  <link href="/css/tree.css" rel="stylesheet" type="text/css">
  <script src="/js/core.js" type="text/javascript"></script>
  <script src="/js/tree.js"></script>
</head>
<body style="padding: 6px;">
 <div id="tree"></div>
 <script>
     $('#tree').tree({
         dataSource: [ { text: 'foo', children: [ { text: 'bar' } ] } ]
     });
 </script>
</body>
</html>
```
